package src.main.java;



import org.junit.Assert;
import org.junit.Test;

/**
 * The test class DiceTest.
 *
 */
public class DiceTest
{
    @Test
    public void tossAndSumTest1() {
        Dice d1 = new Dice(1);
        int total = d1.tossAndSum();
        boolean isInRange = true;
        
        for (int i = 0; i < 1000; i++) {
            if (total < 1 || total > 6) {
                isInRange = false;
                break;
            }
        }
        Assert.assertTrue(isInRange);
    }
    @Test
    public void tossAndSumTest2() {
        Dice d2 = new Dice(2);
        int total = d2.tossAndSum();
        boolean isInRange = true;
        
        for (int i = 0; i < 1000; i++) {
            if (total < 2 || total > 12) {
                isInRange = false;
                break;
            }
        }
        Assert.assertTrue(isInRange);
    }
    @Test
    public void tossAndSumTest3() {
        Dice d3 = new Dice(3);
        int total = d3.tossAndSum();
        boolean isInRange = true;
        
        for (int i = 0; i < 10000; i++) {
            if (total < 3 || total > 18) {
                isInRange = false;
                break;
            }
        }
        Assert.assertTrue(isInRange);
    }
    @Test
    public void tossAndSumTest42() {
        Dice d42 = new Dice(42);
        int total = d42.tossAndSum();
        boolean isInRange = true;
        
        for (int i = 0; i < 10000; i++) {
            if (total < 42 || total > 42*6) {
                isInRange = false;
                break;
            }
        }
        Assert.assertTrue(isInRange);
    }
}
